namespace Application.Abstractions.Chat;

public interface IChatHubService
{
    Task BroadcastMessageAsync(ChatMessage message, CancellationToken ct = default);
    Task BroadcastSystemMessageAsync(string message, CancellationToken ct = default);
    Task KickUserAsync(int memberId, CancellationToken ct = default);
}